# 中后台基础工程 (Template)

> 项目 Fork 自 [vue-vben-admin](https://github.com/vbenjs/vue-vben-admin)  
> 通用组件及相关配置, 参考文档: [Vben Doc](https://vvbin.cn/doc-next/)

## 开发环境

<!-- prettier-ignore -->
- Visual Studio Code [latest](https://code.visualstudio.com)
- [常用插件清单](./doc/plugins.md)

## 开始

<!-- prettier-ignore -->
- [开发规范说明](./doc/workflow.md)
- [技术栈说明](./doc/technique.md)
- 💡 [实用技巧](./doc/skill.md)

---

## TODO

<!-- prettier-ignore -->
- [x] 项目构建，文档编写
- [x] 集成 [Pont](https://github.com/alibaba/pont)
- [x] 完善网络配置
- [x] 完善权限控制
- [ ] 适配上传/下载接口的自动化生成模板
- [ ] 新增 Demo 模块，集成基础 Table 和 Form 组件示例，上传下载等
- [ ] 跟进 Vben 更新，修复 Bug 和新增功能（持续...）

---

### API 联调

```diff
# 修改 .env.development 变量, 将 API 接口从 Mock 切换到开发环境

- VITE_GLOB_API_URL=/basic-api
- VITE_GLOB_API_URL_PREFIX=

# IP 地址和 API 前缀根据实际情况修改
+ VITE_GLOB_API_URL=http://192.168.0.156:8081
+ VITE_GLOB_API_URL_PREFIX=/api
```

### Route 模式切换

```diff
# 修改 projectSetting.ts 项目全局配置
# 例如: 修改权限模式，将前端菜单权限改为根据后台接口获取的权限

- permissionMode: PermissionModeEnum.ROUTE_MAPPING,

+ permissionMode: PermissionModeEnum.BACK,
```
